# Generated from english_number-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name english_number

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: Converting English numbers to strings
License: MIT
URL: https://github.com/bryszard/english_number
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
# BuildRequires: rubygem(simplecov) >= 0.11.2
# BuildRequires: rubygem(simplecov) < 0.12
BuildArch: noarch

%description
Example: EnglishNumber.new(63).in_english # => 'sixty-three'.
EnglishNumber objects can be added, subtracted, multiplied, divided.
For now gem is deliberately limited to numbers maximum five digits long.
Lower limit might be set manually (see the source code).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/english_number.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.4-1
- Initial package
